Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### floor()

Examples

    float x = 2.88;
    int a = floor(x);  // Set "a" to 2

Description | Calculates the closest int value that is less than or equal to the value of the parameter.

Syntax

    floor(value)

Parameters

value | float

Usage | Web & Application
Related | ceil() round()

Updated on February 09, 2008 04:38:52pm PST